View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001428aMuleFeature Requestpublic2008-10-14 13:072009-07-12 14:46
Reportermacias 
Assigned Tobootstrap 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version2.2.2 
Target VersionFixed in Version 
Summary0001428: do not silently ignore adding already downloaded file
DescriptionLet's say I download A.zip file. I add it again for download. Amule ignores this.

Please, show the dialog:
Do you want to re-download the A.zip file?
[ yes ] [ no ]
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships
related to 0001435assignedsturedman Don't download already downloaded files 

-  Notes
(0002974)
Wuischke (manager)
2008-10-14 17:32

I think a dialog is too obstrusive.

Currently we display a log line informing the user about downloading an already existing filea and you can see this log line in the lower left corner, where the last log line is shown.

Do you think this is sufficient or would an optional informational dialog really help to make the user aware of the already existing download?
(0002980)
GonoszTopi (administrator)
2008-11-01 17:54

Do you want a dialog when you try to download a file that _is_currently_downloading_ or when you try to download a file that _has_already_been_downloaded_and_finished_ ?
(0003045)
macias (reporter)
2009-01-10 21:13

Despite I am monitoring this report I didn't get any mail about you added some comments/question.

> Currently we display a log line informing the user about downloading an
> already existing filea and you can see this log line in the lower left
> corner, where the last log line is shown.

I know. But my wish is not about "better" informing but allowing user to download it again.

Dialog for informing user is not useful at all.

> Do you want a dialog when you try to download a file that
> _is_currently_downloading_

no.

> or when you try to download a file that
> _has_already_been_downloaded_and_finished_ ?

Yes. Ability to download it again.
(0003047)
macias (reporter)
2009-01-10 21:21

Sorry for double comment but after each "add note" I get error.
(0003053)
sturedman (developer)
2009-01-13 22:21

Why would you download it again? aMule only ignores the download request when you are currently sharing it, so you still have it.
(0003232)
sturedman (developer)
2009-07-12 14:46

He didn't answer.

- Issue History
Date Modified Username Field Change
2008-10-14 13:07 macias New Issue
2008-10-14 13:07 macias Operating System => Any
2008-10-14 17:32 Wuischke Note Added: 0002974
2008-11-01 17:54 GonoszTopi Note Added: 0002980
2008-11-01 17:54 GonoszTopi Status new => feedback
2008-11-04 20:52 sturedman Relationship added related to 0001435
2009-01-10 21:13 macias Note Added: 0003045
2009-01-10 21:20 macias Note Added: 0003046
2009-01-10 21:21 macias Note Added: 0003047
2009-01-10 21:21 macias Note Deleted: 0003046
2009-01-13 22:21 sturedman Note Added: 0003053
2009-07-12 14:46 sturedman Note Added: 0003232
2009-07-12 14:46 sturedman Assigned To => bootstrap
2009-07-12 14:46 sturedman Status feedback => closed
2009-07-12 14:46 sturedman Resolution open => won't fix
2009-07-12 14:46 sturedman Description Updated


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker